#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	atril
Version		:	1.28.0
Release		:	17.0.10.rel%{?dist}
Summary		:	A document viewer
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	mate-desktop
BuildRequires	:	cairo-gobject-devel
BuildRequires	:	caja-extensions
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	gtk-doc
BuildRequires	:	itstool
BuildRequires	:	libgxps-devel
BuildRequires	:	libnotify
BuildRequires	:	libsecret
BuildRequires	:	libspectre-devel
BuildRequires	:	poppler
BuildRequires	:	texlive-web2c-devel

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
'%{name}' is a document viewer capable of displaying 
multiple and single page document formats like PDF 
and Postscript. 

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}*
%{_includedir}/%{name}/1.5.0/*.h
%{_includedir}/%{name}/1.5.0/libdocument/*.h
%{_includedir}/%{name}/1.5.0/libview/*.h
%{_libdir}/caja/extensions-2.0/*.so
%{_libdir}/%{name}/3/backends/*
%{_libdir}/lib%{name}*.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_libexecdir}/%{name}d
%{_libdir}/girepository-1.0/AtrilDocument-1.5.0.typelib
%{_libdir}/girepository-1.0/AtrilView-1.5.0.typelib
%{_datadir}/gir-1.0/AtrilDocument-1.5.0.gir
%{_datadir}/gir-1.0/AtrilView-1.5.0.gir
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/*.devhelp2
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/gtk-doc/html/lib%{name}document-1.5.0/*.{html,png}
%{_datadir}/gtk-doc/html/lib%{name}document-1.5.0/*.devhelp2
%{_datadir}/gtk-doc/html/lib%{name}document-1.5.0/style.css
%{_datadir}/gtk-doc/html/lib%{name}view-1.5.0/*.{html,png}
%{_datadir}/gtk-doc/html/lib%{name}view-1.5.0/*.devhelp2
%{_datadir}/gtk-doc/html/lib%{name}view-1.5.0/style.css
%{_datadir}/help/*/%{name}/*
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/dbus-1/services/org.mate.%{name}.Daemon.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/caja/extensions/*
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/icons/hicolor/*/mimetypes/*.png
%{_datadir}/%{name}/icons/hicolor/*/actions/*.png
%{_datadir}/%{name}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/%{name}/icons/hicolor/scalable/mimetypes/*.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_mandir}/man1/%{name}*.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor  > /dev/null 2>&1
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ > /dev/null 2>&1

%postun
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ > /dev/null 2>&1
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
        --disable-schemas-compile			\
	--enable-introspection				\
        --enable-comics					\
        --enable-dvi=yes				\
        --enable-djvu=yes				\
        --enable-t1lib=no				\
        --enable-pixbuf					\
        --enable-ps					\
        --enable-xps					\
        --enable-epub					\
        --enable-synctex				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
